Refedit
Dear developers,I am still missing the wonderful "refedit" command in V8.I seem to remember that during the release of V8 it was mentioned the command will be implemented.Is it still on the planning?When can we expect it?best regards,Huib
Comments
-
In order to implement this command, support for long transactions needs to be added to the DwgDirect libraries from Open Design Alliance. Unfortunately we depend on the ODA in this matter.We have renewed our urgent request to them to complete their implementation.
0 -
It's posible to modify blocks typing "BLOCK" command, and then name of desired block...BTW... I think, that it's possible to make command that could automate it
0 -
I wrote this pair of lisps to edit blocks.It was tested on Acad R14 and Bcad V8.1.18; block edit.lsp : block editor ; 10.12.2000 ; yaque@gmail.net.il;type "kk" and choose the block to edit.;Find a blank place on the screen to place the;insert point. ;The lisp then draws a line from the insert point ;and asks for an endpoint;which should be placed well outside the block. ;This line marks the insert point - don't erase!;You can move it to change the insert point of the block.;Edit the block, and when you're done, ;type "bk".;The insert point marking line will disappear;and you should then choose the edited block.;The first lisp sets "&block" as the insert point mark line;and sets "$block" as the ucs current ;when the block was inserted for editing(defun c:kk() (setq &bl (car (entsel "\nchoose block to edit: ")) block (cdr (assoc 2 (entget &bl))) ;get block name ) (setq *clyr (getvar "CLAYER")) (setvar "CMDECHO" 0) (COMMAND "-layer" "ON" "0" "thaw" "0" "unlock" "0" "set" "0" "") ;thaw and set 0 layer as current (command "_INSERT" *block pause) (while (= (getvar "CMDNAMES") "INSERT") (command "")) ;insert block (setq &l (entlast) ;set last entity ^block (getvar "LASTPOINT") ;set insert point ) (command "LINE" ^block pause "") ;draw insert point mark line (setq &block (entlast) &block (if (equal &block &l) nil &block) ) ;set last entity as the insert point mark line (command "EXPLODE" (list &l ^block)) ;explode block (if (tblsearch "UCS" "$BLOCK")(command "ucs" "d" "$block")) (command "ucs" "s" "$block") ;set current ucs as "$BLOCK" ;(in case you change the ucs while editing the block) (setvar "CMDECHO" 0) (setvar "CLAYER" *clyr) (princ (strcat "\nblock name: "block)) (princ))(defun c:bk() (setvar "CMDECHO" 0) (princ (strcat "\nredefining block " *block "\n")) (setq ^block (cdr (assoc 10 (entget &block)))) (entdel &block) ;get insert point from mark line and delete (setq #block (ssget)) ;get edited block entities (if (tblsearch "UCS" "$prev")(command "ucs" "d" "$prev")) (command "ucs" "s" "$prev") (command "ucs" "r" "$block") (command "ucs" "d" "$block") ;set ucs as when block was inserted for editing (command "_block" *block "y" (trans ^block 0 1) #block "") ;update block (command "ucs" "r" "$prev") ;clean up ucs (command "ucs" "d" "$prev") (setq #block nil) (setvar "CMDECHO" 1) (princ))
0 -
ODA has let us know they started work on long transactions. Once this becomes available we will start reimplementing the Refedit related commands. These developments will likely take a few more months to complete, but I wanted to inform you that the solution has come in sight.Best regards,Hans
0 -
Brilliant, Yaacov! Thanks very much for sharing your block editing routine. I think it's better than the Refedit command I used to use in Autocad.
0 -
thanks
0 -
I'm confused on Long transactions. I see that they have been implemented in directdwg recently. Will or is this the same as the Acad (Bricscad.App) document transaction server, or will this be based on .NET transactions. In short can I use Acad code which which uses a transaction server --> in Bricscad with only slight modification.In Acad the transaction seems to permeate all the code. It would seem an umbrella should cast it's transaction shadow like a eventhandler. Just an idea .. ?How about a forum for development, VBA &.NET where users might post code and occasionally staff might provide some samples. You realize that the object model is not quite Acad nor Icad and some examples would be nice. (esp if you are going to implement transactions in an Acad sort of way).Jerry
0 -
well, i tried the wonderful looking lisp posted above... version 8.2.11 french languge (maybe that's the problem) & it crashes....is there any more news on this command coming back as it is almost essentiel to smooth working ???thanks for any Brciscad info on this issue... i'm curently in 'trial' mode... & am thinking of buying the full pro edition, but this is a serious sticking point...others such as zwcad seem to have the direct block editing under control...
0 -
Refedit is included in V9. If you want to give it a try you can download a one month V9 trial from our website. Kind regards,Hans
0